Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get a Task

GET
/customer-api/v1/task-management/task/{taskUuid}
curl --request GET \
--url https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Get a Task.

taskUuid
required
string format: uuid

A Task entry

Media typeapplication/json

A task is a reminder that is triggered at a specific date and time.

object
uuid
required

The UUID of the task.

string format: uuid
status
required
string
Allowed values: open closed
author
required

The uuid of the author.

string format: uuid
title
required

The title of the task.

string
comment

A comment that is displayed in the task details.

string
nullable
deadline
required

The date and time of the deadline.

string format: date
reminders
required
Array<object>
>= 1 items <= 2 items

A time interval that is used to trigger a task.

object
unit
required

The unit of the time interval.

string
Allowed values: days weeks months years
value
required

The value of the time interval.

integer
recurring_schedule
required
object
unit
required

The unit of the time interval.

string
Allowed values: days weeks months years
value
required

The value of the time interval.

integer
assignees
required
Array<string>
>= 1 items <= 1 items
references
required
Array<object>

The reference of the task.

object
type
required

The type of the referenced object.

string
Allowed values: asset
uuid
required

The UUID of the referenced object.

string format: uuid
name

Display name of the referenced object.

string
id

The id of the referenced object.

integer
status

The status of the referenced object.

string
Allowed values: open done
attachments
required
Array<object>
0

The file attachment of the task.

object
uuid
string format: uuid
name
string
0 <= 255 characters
type
string
0 <= 255 characters
size

File size in bytes

integer
>= 1 <= 52428800
data_uri
string
0 <= 1000 characters
thumbnail_uri
string
0 <= 1000 characters
slug
required
string
Example
{
"uuid": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"status": "open",
"author": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"title": "Refill the printer.",
"comment": "The printer is running low on ink.",
"deadline": "2022-04-01",
"reminders": [
{
"unit": "days",
"value": 2
}
],
"recurring_schedule": {
"unit": "days",
"value": 2
},
"assignees": [
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
],
"references": [
{
"type": "asset",
"uuid": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"name": "Assset name (asset barcode)",
"id": 1,
"status": "open"
}
],
"slug": "TASK-132"
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

Internal Server Error.